Subject: Re: [Insipid] Ben Campbell's Discuss on draft-ietf-insipid-session-id-26: (with DISCUSS)

From: Elwyn Davies <[email-masked]>
Date: Thu, 18 Aug 2016 00:13:51 +0100

Just to add that I would not class RFC 7206 as a 'foundational document' as mentioned in Barry Leiba's proposed update to RFC 3967, but rather as a WG process document that becomes a matter of historical interest only once the WG has acted on the requirements or problem statement. 
The fact that there is a well-worked out set of definitions means that it shouldn't be much work to transfer the text and the definitions are not yet referenced anywhere else, so it would avoid prejudging the RFC 3967 update (any more - RFC 6707 last month has already taken us down the slippery slope a bit - I'd argue that 6707 isn't foundational either) without significant knock-on effects.
I accept that this would result in a near duplicate of 2.5 pages of text and a little extra work for the draft editors.  Not a horrendous on-cost I feel for avoiding downrefs to WG process documents which I think ought to be avoided, even if they continue to be published as RFCs.
Regards,Elwyn

Sent from Samsung tablet.
-------- Original message --------From: Ben Campbell <[email-masked]> Date: 17/08/2016  23:38  (GMT+00:00) To: The IESG <[email-masked]> Cc: [email-masked], [email-masked], [email-masked], [email-masked], Elwyn Davies <[email-masked]> Subject: Re: Ben Campbell's Discuss on draft-ietf-insipid-session-id-26: (with
  DISCUSS) 
(+ Elwyn so he can correct me if I mischaracterize anything.)

I'd like to get other AD's opinions on Elwyn's concern.

To recap, draft-ietf-insipid-session-id normatively references RFC 7206 
due to some definitions. 7206 is an informational requirements draft, of 
the sort we might or might not agree to publish if the decision came up 
again. Elwyn argues that, since the information RFC may not have gotten 
the same level of review as a PS would have, that it's not appropriate 
to allow a normative downref. He argues that the authors should instead 
copy the definitions into the draft in question.

My counter argument is that the definitions in RFC 7206 (Namely 
"communication session" and "session-id") are fairly long and nuanced, 
with a fair amount of discussion.

Thanks!

Ben.

On 15 Aug 2016, at 16:03, Ben Campbell wrote:

> Ben Campbell has entered the following ballot position for
> draft-ietf-insipid-session-id-26: Discuss
>
> When responding, please keep the subject line intact and reply to all
> email addresses included in the To and CC lines. (Feel free to cut 
> this
> introductory paragraph, however.)
>
>
> Please refer to 
> https://www.ietf.org/iesg/statement/discuss-criteria.html
> for more information about IESG DISCUSS and COMMENT positions.
>
>
> The document, along with other ballot positions, can be found here:
> https://datatracker.ietf.org/doc/draft-ietf-insipid-session-id/
>
>
>
> ----------------------------------------------------------------------
> DISCUSS:
> ----------------------------------------------------------------------
>
> (I'm entering a DISCUSS to make sure we get discussion of this topic
> among the ISEG before we progress the document. Whatever the outcome, 
> I
> expect to clear the DISCUSS and go back to a YES position after the
> telechat.)
>
> Please see the thread resulting from Elwyn's gen-art review from the 
> 2nd
> IETF last call, called specifically because of the downref to RFC 7206
> that was added after the first LC. This downref was due to the
> definitions of "communication session" and "session ID" from that RFC.
>
> https://mailarchive.ietf.org/arch/msg/gen-art/3cLlqju62bY1w5MTA72YpOjL_GQ